-- http://www.cs.uni.edu/~mccormic/1510/solutions/demo_files.adb

with Ada.Text_IO;
with Ada.Integer_Text_IO;
procedure Demo_Files is

   Input  : Ada.Text_IO.File_Type;   -- File variables
   Output : Ada.Text_IO.File_Type;

   File_Name   : String (1 .. 50);   -- File name variables
   Name_Length : Integer range 0 .. 50;

   Value : Integer;                  -- Variable for data

begin
   -- Prepare the Input File
   Ada.Text_IO.Put (Item => "Enter the name of your input file");
   Ada.Text_IO.New_Line;
   Ada.Text_IO.Get_Line (Item => File_Name,
                         Last => Name_Length);
   Ada.Text_IO.Open (File => Input,
                     Name => File_Name (1 .. Name_Length),
                     Mode => Ada.Text_IO.In_File);

   -- Prepare the Output File
   Ada.Text_IO.Put (Item => "Enter the name of your output file");
   Ada.Text_IO.New_Line;
   Ada.Text_IO.Get_Line (Item => File_Name,
                         Last => Name_Length);
   Ada.Text_IO.Create (File => Output,
                       Name => File_Name (1 .. Name_Length));

   -- Process the data in the file
   Ada.Integer_Text_IO.Get (File => Input,
                            Item => Value);
   Value := 2 * Value + 17;
   Ada.Integer_Text_IO.Put (File  => Output,
                            Item  => Value,
                            Width => 1);

   -- Sever the connection to both files
   Ada.Text_IO.Close (File => Input);
   Ada.Text_IO.Close (File => Output);
end Demo_Files;